declare function dcloudioUniUi1(): {
    uiName: string;
    lib: string;
    map: ({
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: never[];
        props: {
            date: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            lunar: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            startDate: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            endDate: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            range: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            insert: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            clearDate: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            selected: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showMonth: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            title: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            "sub-title": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            extra: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            thumbnail: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            cover: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "is-full": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "is-shadow": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            shadow: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            margin: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            spacing: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            padding: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            border: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            ":v-model": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            accordion: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: string[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            backgroundColor: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            color: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            splitorColor: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            day: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            hour: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            minute: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            second: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showDay: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showHour: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showMinute: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showColon: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            start: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            ":v-model": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            spaceInfo: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            ":localdata": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            preload: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            readonly: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "clear-icon": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            ellipsis: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "step-searh": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "self-field": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "parent-field": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            collection: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            field: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            where: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            orderby: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "popup-title": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            map: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            value: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            start: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            end: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            "return-type": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            border: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            rangeSeparator: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "start-placeholder": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "end-placeholder": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "clear-icon": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "hide-second": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            mask: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            maskClick: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            mode: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            width: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            model: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            rules: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            validateTrigger: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-position": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-width": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-align": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "err-show-type": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            border: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            value: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            modelValue: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: never[];
        props: {
            name: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            rules: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            required: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            label: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-width": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "error-message": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-align": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-position": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            validateTrigger: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "left-icon": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "icon-color": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {};
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: never[];
        props: {
            href: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            text: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            download: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showUnderLine: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            copyTips: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            color: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            fontSize: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            title: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            note: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            ellipsis: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            thumb: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            thumbSize: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showBadge: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgeText: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgeType: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgeStyle: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            rightText: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showArrow: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            link: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            to: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            clickable: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showSwitch: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            switchChecked: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showExtraIcon: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            extraIcon: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            direction: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            title: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            note: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            clickable: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgeText: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgePositon: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            link: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            to: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            time: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            avatarCircle: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            avatar: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            avatarList: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            animation: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "mask-click [\u5373\u5C06\u5E9F\u5F03]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "is-mask-click [1.7.4\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "mask-background-color [1.7.4\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "background-color": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            borderRadius: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "safe-area": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: never[];
        props: {
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            mode: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            title: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            content: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "confirmText [1.7.4\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "cancelText [1.7.4\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "maxlength [1.8.6\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "showClose [1.8.5\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            value: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            borderRadius: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "before-close": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: never[];
        props: {
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            message: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            duration: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            show: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            threshold: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            autoClose: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "left-options": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "right-options": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            border: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            stripe: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            emptyText: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            loading: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: string[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: never[];
        props: {
            content: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            placement: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: never[];
        events: never[];
        props: {};
        suggestions: string[];
        description: string;
        description_zh: string;
    } | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            show: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "mode-class": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "custom-class": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            duration: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            styles: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[];
};
declare function dcloudioUniUi1Components(): {
    map: ((string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: never[];
        props: {
            date: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            lunar: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            startDate: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            endDate: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            range: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            insert: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            clearDate: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            selected: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showMonth: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            title: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            "sub-title": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            extra: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            thumbnail: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            cover: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "is-full": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "is-shadow": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            shadow: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            margin: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            spacing: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            padding: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            border: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            ":v-model": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            accordion: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: string[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            backgroundColor: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            color: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            splitorColor: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            day: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            hour: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            minute: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            second: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showDay: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showHour: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showMinute: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showColon: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            start: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            ":v-model": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            spaceInfo: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            ":localdata": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            preload: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            readonly: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "clear-icon": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            ellipsis: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "step-searh": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "self-field": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "parent-field": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            collection: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            field: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            where: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            orderby: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "popup-title": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            map: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            value: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            start: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            end: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            "return-type": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            border: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            rangeSeparator: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "start-placeholder": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "end-placeholder": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "clear-icon": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "hide-second": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            mask: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            maskClick: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            mode: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            width: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            model: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            rules: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            validateTrigger: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-position": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-width": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-align": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "err-show-type": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            border: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            value: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            modelValue: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: never[];
        props: {
            name: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            rules: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            required: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            label: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-width": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "error-message": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-align": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "label-position": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            validateTrigger: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "left-icon": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "icon-color": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {};
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: never[];
        props: {
            href: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            text: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            download: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showUnderLine: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            copyTips: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            color: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            fontSize: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            title: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            note: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            ellipsis: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            thumb: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            thumbSize: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showBadge: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgeText: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgeType: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgeStyle: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            rightText: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showArrow: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            link: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            to: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            clickable: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showSwitch: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            switchChecked: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            showExtraIcon: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            extraIcon: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            direction: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            title: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            note: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            clickable: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgeText: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            badgePositon: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            link: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            to: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            time: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            avatarCircle: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            avatar: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            avatarList: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            animation: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "mask-click [\u5373\u5C06\u5E9F\u5F03]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "is-mask-click [1.7.4\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "mask-background-color [1.7.4\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "background-color": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            borderRadius: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "safe-area": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: never[];
        props: {
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            mode: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            title: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            content: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "confirmText [1.7.4\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "cancelText [1.7.4\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "maxlength [1.8.6\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "showClose [1.8.5\u65B0\u589E]": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            value: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            borderRadius: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "before-close": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: never[];
        props: {
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            message: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            duration: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            show: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            threshold: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            autoClose: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "left-options": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "right-options": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            border: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            stripe: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            type: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            emptyText: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            loading: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: string[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        methods: never[];
        events: never[];
        props: {
            content: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            placement: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: never[];
        events: never[];
        props: {};
        suggestions: string[];
        description: string;
        description_zh: string;
    })[] | (string | {
        name: string;
        typeDetail: {};
        link: string;
        link_zh: string;
        filename: string;
        slots: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        props: {
            show: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "mode-class": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            "custom-class": {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            duration: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
            styles: {
                type: string;
                value: string;
                default: string;
                description: string;
                description_zh: string;
            };
        };
        suggestions: never[];
        description: string;
        description_zh: string;
    })[])[];
    isSeperatorByHyphen: boolean;
    prefix: string;
    isReact: boolean;
    lib: string;
};

export { dcloudioUniUi1, dcloudioUniUi1Components };
